# $Revision: 1.28 $, $Date: 2007/07/12 18:44:57 $
# TODO
# 	installed but upackaged files:
#		%attr(755,root,root) %{_bindir}/testpattern
# - port info_and_pdf_only.patch and install documentation in correct place.
#
# Conditional build:
%bcond_without	cups		# don't build CUPS plugin
%bcond_without	gimp		# build GIMP plugin subpackage
%bcond_without	ijs		# don't build IJS server for Ghostscript
%bcond_without	foomatic	# don't generate foomatic data
%bcond_without	static_libs	# don't build static library
#
%include	/usr/lib/rpm/macros.perl
Summary:	Collection of high-quality printer drivers
Summary(pl.UTF-8):	Zestaw wysokiej jakości sterowników do drukarek
Name:		gutenprint
Version:	5.1.3
Release:	0.1
License:	GPL
Group:		Applications/Printing
Source0:	http://dl.sourceforge.net/gimp-print/%{name}-%{version}.tar.bz2
# Source0-md5:	276196ad27fa7d4b8b3ed3ca9c4af64c
Patch0:		%{name}-opt.patch
Patch1:		%{name}-static.patch
URL:		http://gutenprint.sourceforge.net/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
%{?with_cups:BuildRequires:	cups-devel >= 1.1.15}
BuildRequires:	docbook-style-dsssl
BuildRequires:	docbook-utils
%{?with_foomatic:BuildRequires:	foomatic-db-engine >= 2.9.1}
BuildRequires:	gettext-autopoint
%{?with_ijs:BuildRequires:	ghostscript-ijs-devel}
%{?with_gimp:BuildRequires:	gimp-devel >= 1:2.0.0}
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo
BuildRequires:	texinfo-texi2dvi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		gimpplugindir	%(gimptool --gimpplugindir)/plug-ins
%define		cupslibdir	%(cups-config --serverbin)

%description
Gutenprint is a collection of very high quality printer drivers for
UNIX/Linux. The goal of this project is uncompromising print quality
and robustness. Included with this package is the Print plugin for the
GIMP (hence the name), a CUPS driver, and a driver for Ghostscript
that may be compiled into that package. This driver package is
Foomatic-compatible to enable plug and play with many print spoolers.
In addition, various printer maintenance utilities are included. Many
users report that the quality of Gutenprint on high end Epson Stylus
printers matches or exceeds the quality of the drivers supplied for
Windows and Macintosh.

This package was previously named gimp-print.

%description -l pl.UTF-8
Gutenprint to zbiór bardzo wysokiej jakości sterowników do drukarek
dla systemów UNIX/Linux. Celem tego projektu jest jak najlepsza jakość
wydruku. Dołączone do tego pakietu są: wtyczka dla programu GIMP (stąd
nazwa), sterownik CUPS i sterownik Ghostscriptu. Sterownik umożliwia
bezpośrednią współpracę z wieloma kolejkami wydruku. Dodatkowo
dołączonych jest wiele programów do obsługi drukarki. Wielu
użytkowników twierdzi ze jakość wydruków na najlepszych drukarkach
Epson Stylus dorównuje albo nawet przerasta jakością to, co jest
oferowane przez sterowniki dla Windows i MacOS.

Ten pakiet wcześniej nazywał się gimp-print.

%package -n libgutenprint
Summary:	libgutenprint library
Summary(pl.UTF-8):	Biblioteka libgutenprint
Summary(pt_BR.UTF-8):	Bibliotecas dinâmicas para impressão de alta qualidade
Group:		Libraries
# uncomment when it becomes stable
#Obsoletes:	gimp-print-lib
Obsoletes:	libgimprint

%description -n libgutenprint
libgutenprint library.

%description -n libgutenprint -l pl.UTF-8
Biblioteka libgutenprint.

%package -n libgutenprint-devel
Summary:	Header files for libgutenprint library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgutenprint
Summary(pt_BR.UTF-8):	Cabeçalhos e arquivos de desenvolvimento para o libgutenprint
Group:		Development/Libraries
Requires:	libgutenprint = %{version}-%{release}
#Obsoletes:	gimp-print-devel
Obsoletes:	libgimpprint-devel

%description -n libgutenprint-devel
Header files for libgutenprint library.

%description -n libgutenprint-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgutenprint.

%description -n libgutenprint-devel -l pt_BR.UTF-8
Este são os arquivos de desenvolvimento para compilar programas com a
biblioteca libgutenprint.

%package -n libgutenprint-static
Summary:	libgutenprint static library
Summary(pl.UTF-8):	Statyczna biblioteka libgutenprint
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com libgutenprint
Group:		Development/Libraries
Requires:	libgutenprint-devel = %{version}-%{release}
#Obsoletes:	gimp-print-static
Obsoletes:	libgimprint-static

%description -n libgutenprint-static
libgutenprint static library.

%description -n libgutenprint-static -l pl.UTF-8
Biblioteka statyczna libgutenprint.

%description -n libgutenprint-static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com libgutenprint.

%package -n libgutenprintui
Summary:	libgutenprintui library
Summary(pl.UTF-8):	Biblioteka libgutenprintui
Summary(pt_BR.UTF-8):	Bibliotecas dinâmicas para impressão de alta qualidade
Group:		Libraries
Requires:	libgutenprint = %{version}-%{release}
Obsoletes:	libgimprintui

%description -n libgutenprintui
libgutenprintui library.

%description -n libgutenprintui -l pl.UTF-8
Biblioteka libgutenprintui.

%package -n libgutenprintui-devel
Summary:	Header files for libgutenprintui library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgutenprintui
Summary(pt_BR.UTF-8):	Cabeçalhos e arquivos de desenvolvimento para o libgutenprintui
Group:		Development/Libraries
Requires:	gtk+2-devel >= 2.0.0
Requires:	libgutenprint-devel = %{version}-%{release}
Requires:	libgutenprintui = %{version}-%{release}
Obsoletes:	libgimprintui-devel

%description -n libgutenprintui-devel
Header files for libgutenprintui lirbary.

%description -n libgutenprintui-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgutenprint.

%description -n libgutenprintui-devel -l pt_BR.UTF-8
Este são os arquivos de desenvolvimento para compilar programas com a
biblioteca libgutenprintui.

%package -n libgutenprintui-static
Summary:	libgutenprintui static library
Summary(pl.UTF-8):	Statyczna biblioteka libgutenprintui
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com libgutenprintui
Group:		Development/Libraries
Requires:	libgutenprintui-devel = %{version}-%{release}
Obsoletes:	libgimprintui-static

%description -n libgutenprintui-static
libgutenprintui static library.

%description -n libgutenprintui-static -l pl.UTF-8
Biblioteka statyczna libgutenprintui.

%description -n libgutenprintui-static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com libgutenprint.

%package -n escputil
Summary:	Tool for Epson ink printers
Summary(pl.UTF-8):	Narzędzie do drukarek atramentowych Epson
Summary(pt_BR.UTF-8):	Ferramenta de manutenção de impressoras ESPSON Stylus (R)
Group:		Applications/Printing
Requires:	libgutenprint = %{version}-%{release}

%description -n escputil
ESPSON Stylus (R) Printers Maintenance tool. This command line tool
can be used to perform the following tests:
- Clean head
- Nozzle check
- Align Head
- Printer Status
- Ink level
- Printer Identify

%description -n escputil -l pl.UTF-8
Działające z linii poleceń narzędzie dla drukarek atramentowych Epson.
Może być użyte do:
- oczyszczenia głowicy
- testu dysz
- wyrównania głowicy
- odczytu stanu drukarki
- odczytu ilości tuszu
- identyfikacji drukarki.

%description -n escputil -l pt_BR.UTF-8
Ferramenta de manutenção de impressoras ESPSON Stylus (R). Esta
ferramenta de linha de comando é usada para executar as seguintes
tarefas:
- Limpeza de cabeçote
- Checagem de Qualidade de impressão
- Alinhamento de cabeçote
- Estado da Impressora
- Nível de tinta
- Identificação da Impressora

%package cups
Summary:	Gutenprint as CUPS plugin
Summary(pl.UTF-8):	Gutenprint jako wtyczka do CUPS
Summary(pt_BR.UTF-8):	Entradas ppd para serem usadas com o cups
Group:		Applications/Printing
Requires:	cups >= 1.1.15
Requires:	libgutenprint = %{version}-%{release}
Obsoletes:	gimp-print-cups

%description cups
Gutenprint as CUPS plugin.

%description cups -l pl.UTF-8
Wtyczka Gutenprint dla CUPS.

%description cups -l pt_BR.UTF-8
Este pacote contém os arquivos ppd para se usar o driver Gutenprint
com o sistema de impressão cups.

%package samples
Summary:	Gutenprint samples
Summary(pl.UTF-8):	Przykłady do Gutenprinta
Group:		Applications/Printing

%description samples
Gutenprint samples.

%description samples -l pl.UTF-8
Przykłady dla Gutenprinta.

%package ijs
Summary:	gutenprint IJS driver for GhostScript
Summary(pl.UTF-8):	Sterownik IJS gutenprint dla GhostScripta
Group:		Applications/Printing
Requires:	libgutenprint = %{version}-%{release}
Obsoletes:	gimp-print-ijs

%description ijs
gutenprint IJS driver for GhostScript.

%description ijs -l pl.UTF-8
Sterownik IJS gutenprint dla GhostScripta.

%package -n foomatic-db-gutenprint
Summary:	foomatic data for gutenprint IJS driver
Summary(pl.UTF-8):	Dane foomatic dla sterownika IJS gutenprint
Group:		Applications/Printing
Requires:	%{name}-ijs = %{version}-%{release}
Requires:	foomatic-db-engine >= 2.9.1
Obsoletes:	foomatic-db-gimp-print

%description -n foomatic-db-gutenprint
foomatic data for gimp-print IJS driver.

%description -n foomatic-db-gutenprint -l pl.UTF-8
Dane foomatic dla sterownika IJS gutenprint.

%package -n gimp-plugin-gutenprint
Summary:	print plugin for Gimp
Summary(pl.UTF-8):	Wtyczka print dla Gimpa
Group:		Applications/Printing
Requires:	gimp >= 1:2.2.0
Requires:	libgutenprint = %{version}-%{release}
Obsoletes:	gimp-plugin-print
# obsolete old plugin which used to come with gimp-print/gutenprint,
# not the one that comes with gimp
Obsoletes:	gimp-print < 1:2.0

%description -n gimp-plugin-gutenprint
print plugin for Gimp.

%description -n gimp-plugin-gutenprint -l pl.UTF-8
Wtyczka print dla Gimpa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f m4extra/{libtool.m4,gettext.m4,lcmessage.m4,progtest.m4}
%{__libtoolize}
%{__autopoint}
%{__aclocal} -I m4 -I m4extra
%{__automake}
%{__autoconf}

%configure \
	%{?debug:--enable-debug} \
	%{!?with_static_libs:--disable-static} \
	%{!?with_cups:--disable-cups-ppds} \
	--with%{!?with_cups:out}-cups \
	--with%{!?with_gimp:out}-gimp2 \
	--with-gimp2-as-gutenprint \
	--with%{!?with_ijs:out}-ijs \
	--with%{!?with_foomatic:out}-foomatic \
	--with%{!?with_foomatic:out}-foomatic3 \
	--with-modules=dlopen \
	--enable-escputil \
	--disable-rpath \
	--disable-static-genppd \
	--disable-translated-cups-ppds \
	--enable-cups-level3-ppds \
	--enable-lexmarkutil \
	--enable-libgutenprintui2 \
	--enable-samples \
	--enable-shared \
	--enable-user-guide \
	--enable-xmldef \
	--without-ghost
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
%if %{with gimp}
	gimp_plug_indir=%{gimpplugindir}
%endif

rm -rf doc-installed
mv -f $RPM_BUILD_ROOT%{_datadir}/gutenprint/doc doc-installed
mv -f $RPM_BUILD_ROOT%{_datadir}/gutenprint/samples \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with cups}
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/update-cups-genppd.8
echo '.so cups-genppdconfig.8' > $RPM_BUILD_ROOT%{_mandir}/man8/update-cups-genppd.8
%endif

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/%{version}*/modules/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n libgutenprint -p /sbin/ldconfig
%postun	-n libgutenprint -p /sbin/ldconfig

%post	-n libgutenprintui -p /sbin/ldconfig
%postun	-n libgutenprintui -p /sbin/ldconfig

%files -n libgutenprint -f %{name}.lang
%defattr(644,root,root,755)
%doc doc-installed/{gutenprint.pdf,gutenprint-users-manual.pdf}
%doc doc/FAQ.html AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgutenprint.so.*.*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/%{version}*
%dir %{_libdir}/%{name}/%{version}*/modules
%attr(755,root,root) %{_libdir}/%{name}/%{version}*/modules/*.so
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{version}*
#%{_mandir}/man7/gutenprint-*.7*

%files -n libgutenprint-devel
%defattr(644,root,root,755)
%doc doc-installed/reference-html
%attr(755,root,root) %{_libdir}/libgutenprint.so
%{_libdir}/libgutenprint.la
%{_includedir}/gutenprint
%{_pkgconfigdir}/gutenprint.pc
#%{_mandir}/man3/gutenprint.3*

%if %{with static_libs}
%files -n libgutenprint-static
%defattr(644,root,root,755)
%{_libdir}/libgutenprint.a
%endif

%files -n libgutenprintui
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgutenprintui2.so.*.*

%files -n libgutenprintui-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgutenprintui2.so
%{_libdir}/libgutenprintui2.la
%{_includedir}/gutenprintui2
%{_pkgconfigdir}/gutenprintui2.pc

%if %{with static_libs}
%files -n libgutenprintui-static
%defattr(644,root,root,755)
%{_libdir}/libgutenprintui2.a
%endif

%files -n escputil
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/escputil
%{_mandir}/man1/escputil.1*

%if %{with cups}
%files cups
%defattr(644,root,root,755)
%doc src/cups/{README,command.txt,commands}
%{_sysconfdir}/cups/command.types
%attr(755,root,root) %{_bindir}/cups-*
%attr(755,root,root) %{_sbindir}/cups-*
%attr(755,root,root) %{cupslibdir}/driver/gutenprint.5.1
%attr(755,root,root) %{cupslibdir}/filter/commandto*
%attr(755,root,root) %{cupslibdir}/filter/rastertogutenprint.5.1
%{_datadir}/cups/calibrate.ppm
%{_mandir}/man8/*cups*.8*
%endif

%files samples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%if %{with ijs}
%files ijs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ijsgutenprint*
%{_mandir}/man1/ijsgutenprint.1*
%endif

%if %{with foomatic}
%files -n foomatic-db-gutenprint
%defattr(644,root,root,755)
%{_datadir}/foomatic/db/source/driver/*
%{_datadir}/foomatic/db/source/opt/*
%endif

%if %{with gimp}
%files -n gimp-plugin-gutenprint
%defattr(644,root,root,755)
%attr(755,root,root) %{gimpplugindir}/gutenprint
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gutenprint.spec,v $
Revision 1.28  2007/07/12 18:44:57  qboosh
- updated to 5.1.3

Revision 1.27  2007/06/03 10:38:10  rotom
- up to 5.1.2

Revision 1.26  2007/05/26 07:38:03  qboosh
- updated to 5.1.1

Revision 1.25  2007/05/26 00:23:28  qboosh
- plugin desc fix

Revision 1.24  2007/04/07 19:56:57  qboosh
- renamed gimp-plugin-print to gimp-plugin-gutenprint

Revision 1.23  2007/04/07 16:33:00  qboosh
- updated to 5.1.0
- removed obsolete usb,no_useless_pcfile patches

Revision 1.22  2007/03/16 14:19:53  sls
- rel. 0.9 - it works for me (at least plugin-gimp)

Revision 1.21  2007/03/16 13:50:27  sls
- added patch no_useless_pcfile
- fixed gimp-plugin-print Group (s/Print/Printing)
- new name for gimp plugin - there was conflict with gimp.spec

Revision 1.20  2007/03/16 13:42:03  sls
- adapterized

Revision 1.19  2007/03/16 13:39:46  sls
- TODO update

Revision 1.18  2007/03/16 13:31:02  sls
- cups files update: there is new driver and there is no more PPDs

Revision 1.17  2007/03/16 13:19:31  sls
- install should be idempotent

Revision 1.16  2007/03/16 12:43:50  sls
- ver. 5.0.0.99.1

Revision 1.15  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.13  2006/12/16 19:22:44  shadzik
- rel 0.2

Revision 1.12  2006/08/10 16:25:11  rotom
- up to 5.0.0

Revision 1.11  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.10  2006/05/19 21:55:38  charles
- updated to 5.0.0 rc3

Revision 1.9  2006/01/22 16:31:39  charles
- updated to 5.0.0rc2

Revision 1.8  2005/11/30 11:31:00  charles
- bcond static_libs

Revision 1.7  2005/10/05 15:55:45  freetz
- 5.0.0rc1, call foomatic3 in configure, %%files update

Revision 1.6  2005/05/11 14:24:31  charles
- BR: libpng-devel, libtiff-devel, openssl-devel
- disabled glib-1 (rm AM_PATH_GLIB), BR: sed >= 4.0
- for -cups O: gimp-print-cups

Revision 1.5  2005/05/09 22:25:14  wiget
- updated to 5.0.0-beta4

Revision 1.4  2005/05/06 21:22:40  qboosh
- libgutenprintui-devel R: gtk+2-devel

Revision 1.3  2005/05/06 20:21:08  qboosh
- cups files fixes

Revision 1.2  2005/05/06 19:58:56  qboosh
- rename leftover

Revision 1.1  2005/05/06 19:54:00  qboosh
- copied from gimp-print-4_3 branch of gimp-print.spec (project name change),
  updated to 5.0.0-beta3, updated name, filenames, etc.

Revision 1.41.2.19  2004/12/04 00:41:44  qboosh
- updated to 5.0.0-beta2, added static patch

Revision 1.41.2.18  2004/07/19 22:50:25  qboosh
- updated to 5.0.0beta1, removed obsolete genppd-nostatic patch
- dropped gtk1/gimp1 stuff, build (new, at last) gtk2/gimp2 only

Revision 1.41.2.17  2004/05/15 13:27:43  qboosh
- cups lang fix

Revision 1.41.2.16  2004/05/15 11:57:31  qboosh
- updated to 5.0.0-alpha3, updated opt patch, removed obsolete info patch
- added locale-names patch (no->nb)

Revision 1.41.2.15  2004/01/17 15:31:29  qboosh
- updated to 5.0.0-alpha1, updated opt patch, added genppd-nostatic patch

Revision 1.41.2.14  2003/12/28 21:16:15  qboosh
- updated to 4.3.25, updated info and opt patches, new-style bconds

Revision 1.41.2.13  2003/10/22 18:11:00  qboosh
- updated domain

Revision 1.41.2.12  2003/09/04 14:42:21  wiget
- updated to 4.3.20

Revision 1.41.2.11  2003/08/25 16:30:45  arekm
- missing one gimp if check

Revision 1.41.2.10  2003/08/25 16:25:58  arekm
- cups enabled by default

Revision 1.41.2.9  2003/08/25 16:23:30  arekm
- gimp by default disabled

Revision 1.41.2.8  2003/08/25 16:09:53  arekm
- fix md5

Revision 1.41.2.7  2003/08/25 15:50:17  arekm
- old style bconds

Revision 1.41.2.6  2003/08/25 15:40:31  arekm
- started update

Revision 1.41.2.5  2003/07/09 19:12:51  qboosh
- removed duplicates from -devel, added opt patch, shut up check-files

Revision 1.41.2.4  2003/06/13 14:36:18  wiget
- updated to 4.3.16
- use new style of bconds
- gimp plugin requires gimp < 1.3.0

Revision 1.41.2.3  2003/03/02 22:33:04  qboosh
- added %%{_datadir}/gimp-print dir to libgimpprint

Revision 1.41.2.2  2003/03/01 19:27:58  qboosh
- removed Obsoletes: gimp-print-{lib,devel,static} from libgimpprintui-*
  (libgimpprint-* already have them)
- libgimpprintui-devel R: libgimpprint-devel

Revision 1.41.2.1  2003/02/27 10:10:36  wiget
- info_and_pdf_only.patch is not used now (waiting for update)

Revision 1.41  2003/02/27 09:48:53  wiget
- up to 4.3.10

Revision 1.40  2003/02/25 12:13:30  qboosh
- working Source URL

Revision 1.39  2003/02/22 00:18:05  qboosh
- updated info patch, removed obsolete install patch
- release 0.2

Revision 1.38  2003/02/20 22:46:52  qboosh
- fixed _without_cups

Revision 1.37  2003/02/05 11:09:06  wiget
- updated to 4.3.8
- added gettext.patch to allow using autopoint
- enable building foomatic data
- renamed gimp-print-lib to libgimpprint and separate UI library to libgimpprintui
- disable building translated PPDs
- enable dlopened modules
- added --with static and --without foomatic bconds

Revision 1.36  2003/01/07 22:23:11  adgor
- Removed GIMPTOOL variable (has no sense)

Revision 1.35  2003/01/03 17:56:33  wrobell
- ver. 4.3.6

Revision 1.34  2002/12/28 20:29:22  adgor
- GIMPTOOL variable added to %build

Revision 1.33  2002/12/18 14:48:39  wiget
- BR gtk+-devel
- release 1

Revision 1.32  2002/12/12 16:43:31  wiget
- resolve perl deps for scripts

Revision 1.31  2002/12/10 18:58:35  wiget
- --without ijs bcond added

Revision 1.30  2002/12/10 18:34:39  wiget
- DEVEL branch merged

Revision 1.29  2002/12/02 22:08:29  ankry
- pl Summary/description fixes
- adapterized

Revision 1.28  2002/12/02 11:06:18  ankry
- massive cleaning

Revision 1.27  2002/11/25 14:13:04  ankry
- massive attack: no need for 755 for *.la

Revision 1.26  2002/11/01 13:22:36  malekith
- fixed br (I hope this was the intention)

Revision 1.25.2.2  2002/12/10 18:27:56  wiget
- updated to 4.3.5
- added --without gimp bcond

Revision 1.25.2.1  2002/09/17 14:28:19  wiget
- play with 4.3.4

Revision 1.25  2002/09/16 21:24:47  kloczek
- (auto)updated to 4.2.2: mostly bug fixes,
- use new %doc.

Revision 1.24  2002/06/15 11:41:09  ankry
- removed %%lang(en)
- release 2

Revision 1.23  2002/04/27 12:24:56  pioklo
-update  to stable version 4.2.1,STBR

Revision 1.22  2002/04/25 16:23:43  arturs
fixed a small typo

Revision 1.21  2002/04/03 14:13:03  pioklo

- bugfixes, upgrade to 4.2.1-pre4 (version with ijs driver)
- fix %%doc section
- STBR

Revision 1.20  2002/03/22 15:23:10  wiget
- for clearing license issue build ghostscript driver as ijs driver
- upgrade to 4.2.1-pre3 (first version with ijs driver)

Revision 1.19  2002/03/01 11:20:57  wrobell
- changed build requirements due to gimp-print-install.patch
- rel. 4

Revision 1.18  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/12 23:37:53  qboosh
- BR: texinfo-texi2dvi
- merged previous info patch into new one
- release 3

Revision 1.15  2002/02/12 15:42:42  kloczek
- release 2: build and include only info and pdf documentation.

Revision 1.14  2002/02/11 23:19:22  qboosh
- added _without_cups bcond, fixed typos
- main package Requires: gimp-print-libs

Revision 1.13  2002/02/11 13:45:58  wiget
more buildrequires

Revision 1.12  2002/02/11 09:16:08  kloczek
- adapterized.

Revision 1.11  2002/02/08 21:27:02  kloczek
- merge translations from Conectiva.

Revision 1.10  2002/02/07 09:55:44  wiget
{Build,}Requires: gimp{-devel,} >= 1:1.2.2-5

Revision 1.9  2002/02/07 09:49:52  qboosh
- fixed pl descriptions, added missing pl summaries, cosmetics

Revision 1.8  2002/02/07 09:35:54  wiget
- Release 1 (all components tested and work)
- added usb.patch (fix detection USB printers with Linux 2.4.x)
- more documentation to -cups subpackage
- fixed %%attr for in -cups subpackage

Revision 1.7  2002/02/06 17:44:51  kloczek
- added info patch.

Revision 1.6  2002/02/06 17:33:47  wiget
cups subpackage requires cups

Revision 1.5  2002/02/06 17:32:05  wiget
- pdf i ps documentation removed (to hard to talk with kloczek) (nice formated documentation with ilustrations now missing)
- html documentation moved do -lib subpackage
- info moved to -devel subpackage

Revision 1.4  2002/02/06 17:26:26  kloczek
- fixed Source url.

Revision 1.3  2002/02/06 17:17:24  kloczek
- cleanups,
- added Source url.

Revision 1.2  2002/02/06 16:35:22  adasi
 - added some descriptions

Revision 1.1  2002/02/06 16:17:12  wiget
- initial release writen from templete.spec
Summary and %%description are absent
Add this and change release to 1.
